import pandas as pd
import matplotlib.pyplot as plt
import seaborn as sns

df_anova = pd.read_csv('analysis/anova.csv', index_col=0)
df_anova = df_anova.stack().reset_index()
df_anova.rename(columns={'level_0': 'x',
                         'level_1': 'y type',
                         0: 'p value'}, inplace=True)
print(df_anova)
sns.set_theme(style="whitegrid")
g = sns.catplot(data=df_anova, kind="bar", x="x", y="p value", hue="y type")
g.set_xticklabels(rotation=30)
plt.show()
